//                           UNCLASSIFIED
/*-------------------------------------------------------------------------
RAYTHEON PROPRIETARY: THIS DOCUMENT CONTAINS DATA OR INFORMATION
PROPRIETARY TO RAYTHEON COMPANY AND IS RESTRICTED TO USE ONLY BY PERSONS
AUTHORIZED BY RAYTHEON COMPANY IN WRITING TO USE IT. DISCLOSURE TO
UNAUTHORIZED PERSONS WOULD LIKELY CAUSE SUBSTANTIAL COMPETITIVE HARM TO
RAYTHEON COMPANY'S BUSINESS POSITION. NEITHER SAID DOCUMENT NOR ITS
CONTENTS SHALL BE FURNISHED OR DISCLOSED TO OR COPIED OR USED BY PERSONS
OUTSIDE RAYTHEON COMPANY WITHOUT THE EXPRESS WRITTEN APPROVAL OF RAYTHEON
COMPANY.

THIS PROPRIETARY NOTICE IS NOT APPLICABLE IF DELIVERED TO THE U.S.
GOVERNMENT.

UNPUBLISHED WORK - COPYRIGHT RAYTHEON COMPANY.
-------------------------------------------------------------------------*/

using Raytheon.Communication;
using System;

namespace Raytheon.Instruments
{
	/// <summary>
	/// This interfaces defines the API for a chiller system
	/// </summary>
	[UmsContract]
	public interface IChiller : IInstrument
	{
		/// <summary>
		/// 
		/// </summary>
		[UmsCommand("IChiller.DisableFlow")] 
		void DisableFlow();

		/// <summary>
		/// 
		/// </summary>
		[UmsCommand("IChiller.EnableFlow")]
		void EnableFlow();

		/// <summary>
		/// 
		/// </summary>
		/// <returns></returns>
		[UmsCommand("IChiller.GetCoolantSetpoint")]
		double GetCoolantSetpoint();

		/// <summary>
		/// 
		/// </summary>
		/// <returns></returns>
		[UmsCommand("IChiller.GetCoolantTemperature")]
		double GetCoolantTemperature();

		/// <summary>
		/// 
		/// </summary>
		/// <param name="temp"></param>
		[UmsCommand("IChiller.SetCoolantTemperature")]
		void SetCoolantTemperature(double temp);
	}
}